VTK: vtkPointFillPass Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkPointFillPass Class Reference

Implement a post-processing fillpass. More...

`#include <vtkPointFillPass.h>`

Inheritance diagram for vtkPointFillPass:
[legend]
Collaboration diagram for vtkPointFillPass:
[legend]

## Public Types
typedef vtkDepthImageProcessingPass | Superclass
Public Types inherited from vtkDepthImageProcessingPass
typedef vtkImageProcessingPass | Superclass
Public Types inherited from vtkImageProcessingPass
typedef vtkOpenGLRenderPass | Superclass
Public Types inherited from vtkOpenGLRenderPass
typedef vtkRenderPass | Superclass
Public Types inherited from vtkRenderPass
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPointFillPass * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Render (const vtkRenderState *s) override
| Perform rendering according to a render state `s`. More...
void | ReleaseGraphicsResources (vtkWindow *w) override
| Release graphics resources and ask components to release their own resources. More...
virtual void | SetCandidatePointRatio (float)
| How far in front of a point must a neighboring point be to be used as a filler candidate. More...
virtual float | GetCandidatePointRatio ()
| How far in front of a point must a neighboring point be to be used as a filler candidate. More...
virtual void | SetMinimumCandidateAngle (float)
| How large of an angle must the filler candidates span before a point will be filled. More...
virtual float | GetMinimumCandidateAngle ()
| How large of an angle must the filler candidates span before a point will be filled. More...
Public Member Functions inherited from vtkDepthImageProcessingPass
vtkDepthImageProcessingPass * | NewInstance () const
Public Member Functions inherited from vtkImageProcessingPass
vtkImageProcessingPass * | NewInstance () const
virtual vtkRenderPass * | GetDelegatePass ()
| Delegate for rendering the image to be processed. More...
virtual void | SetDelegatePass (vtkRenderPass *delegatePass)
| Delegate for rendering the image to be processed. More...
Public Member Functions inherited from vtkOpenGLRenderPass
vtkOpenGLRenderPass * | NewInstance () const
virtual bool | SetShaderParameters (vtkShaderProgram *program, vtkAbstractMapper *mapper, vtkProp *prop, vtkOpenGLVertexArrayObject *VAO=nullptr)
| Update the uniforms of the shader program. More...
virtual vtkMTimeType | GetShaderStageMTime ()
| For multi-stage render passes that need to change shader code during a single pass, use this method to notify a mapper that the shader needs to be rebuilt (rather than reuse the last cached shader. More...
virtual void | SetActiveDrawBuffers (unsigned int)
| Number of active draw buffers. More...
virtual unsigned int | GetActiveDrawBuffers ()
virtual bool | PreReplaceShaderValues (std::string &vertexShader, std::string &geometryShader, std::string &fragmentShader, vtkAbstractMapper *mapper, vtkProp *prop)
| Use vtkShaderProgram::Substitute to replace. More...
virtual bool | PostReplaceShaderValues (std::string &vertexShader, std::string &geometryShader, std::string &fragmentShader, vtkAbstractMapper *mapper, vtkProp *prop)
| Use vtkShaderProgram::Substitute to replace. More...
Public Member Functions inherited from vtkRenderPass
vtkRenderPass * | NewInstance () const
virtual int | GetNumberOfRenderedProps ()
| Number of props rendered at the last Render call. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkPointFillPass * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPointFillPass * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkDepthImageProcessingPass
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDepthImageProcessingPass * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkImageProcessingPass
static vtkTypeBool | IsTypeOf (const char *type)
static vtkImageProcessingPass * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkOpenGLRenderPass
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOpenGLRenderPass * | SafeDownCast (vtkObjectBase *o)
static vtkInformationObjectBaseVectorKey * | RenderPasses ()
| Key containing information about the current pass. More...
Static Public Member Functions inherited from vtkRenderPass
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderPass * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPointFillPass ()
| Default constructor. More...
| ~vtkPointFillPass () override
| Destructor. More...
Protected Member Functions inherited from vtkDepthImageProcessingPass
| vtkDepthImageProcessingPass ()
| Default constructor. More...
| ~vtkDepthImageProcessingPass () override
| Destructor. More...
virtual void | RenderDelegate (const vtkRenderState *s, int width, int height, int newWidth, int newHeight, vtkOpenGLFramebufferObject *fbo, vtkTextureObject *colortarget, vtkTextureObject *depthtarget)
| Render delegate with a image of different dimensions than the original one. More...
void | ReadWindowSize (const vtkRenderState *s)
| Read parent size - for sake of code clarity This function is generic, can be useful in multiple image-based rendering classes. More...
Protected Member Functions inherited from vtkImageProcessingPass
| vtkImageProcessingPass ()
| Default constructor. More...
| ~vtkImageProcessingPass () override
| Destructor. More...
void | RenderDelegate (const vtkRenderState *s, int width, int height, int newWidth, int newHeight, vtkOpenGLFramebufferObject *fbo, vtkTextureObject *target)
| Render delegate with a image of different dimensions than the original one. More...
Protected Member Functions inherited from vtkOpenGLRenderPass
| vtkOpenGLRenderPass ()
| ~vtkOpenGLRenderPass () override
void | PreRender (const vtkRenderState *s)
| Call before rendering to update the actors' information keys. More...
void | PostRender (const vtkRenderState *s)
| Call after rendering to clean up the actors' information keys. More...
Protected Member Functions inherited from vtkRenderPass
| vtkRenderPass ()
| Default constructor. More...
| ~vtkRenderPass () override
| Destructor. More...
void | UpdateCamera (vtkRenderer *renderer)
| Call UpdateCamera() on Renderer. More...
void | ClearLights (vtkRenderer *renderer)
| Call ClearLights() on Renderer. More...
void | UpdateLightGeometry (vtkRenderer *renderer)
| Call UpdateLightGeometry() on Renderer. More...
void | UpdateLights (vtkRenderer *renderer)
| Call UpdateLights() on Renderer. More...
void | UpdateGeometry (vtkRenderer *renderer, vtkFrameBufferObjectBase *fbo=nullptr)
| Call UpdateGeometry() on Renderer. More...
void | SetLastRenderingUsedDepthPeeling (vtkRenderer *renderer, bool value)
| Modify protected member LastRenderingUsedDepthPeeling on Renderer. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkOpenGLFramebufferObject * | FrameBufferObject
| Graphics resources. More...
vtkTextureObject * | Pass1
vtkTextureObject * | Pass1Depth
vtkOpenGLQuadHelper * | QuadHelper
float | CandidatePointRatio
float | MinimumCandidateAngle
Protected Attributes inherited from vtkDepthImageProcessingPass
int | Origin [2]
int | Width
int | Height
int | W
int | H
int | ExtraPixels
Protected Attributes inherited from vtkImageProcessingPass
vtkRenderPass * | DelegatePass
Protected Attributes inherited from vtkOpenGLRenderPass
unsigned int | ActiveDrawBuffers = 0
Protected Attributes inherited from vtkRenderPass
int | NumberOfRenderedProps
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Implement a post-processing fillpass.

This pass is designed to fill in rendering of sparse point sets/coulds The delegate is used once and is usually set to a vtkCameraPass or to a post-processing pass.

See also
  vtkRenderPass

Tests:
  vtkPointFillPass (Tests)

Definition at line 32 of file vtkPointFillPass.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkDepthImageProcessingPass vtkPointFillPass::Superclass

Definition at line 36 of file vtkPointFillPass.h.

## Constructor & Destructor Documentation

## ◆ vtkPointFillPass()

vtkPointFillPass::vtkPointFillPass | ( |  | ) |
| protected

Default constructor.

DelegatePass is set to NULL.

## ◆ ~vtkPointFillPass()

vtkPointFillPass::~vtkPointFillPass | ( |  | ) |
| overrideprotected

Destructor.

## Member Function Documentation

## ◆ New()

static vtkPointFillPass* vtkPointFillPass::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkPointFillPass::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPointFillPass::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkDepthImageProcessingPass.

## ◆ SafeDownCast()

static vtkPointFillPass* vtkPointFillPass::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPointFillPass::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkDepthImageProcessingPass.

## ◆ NewInstance()

vtkPointFillPass* vtkPointFillPass::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPointFillPass::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkDepthImageProcessingPass.

## ◆ Render()

void vtkPointFillPass::Render | ( | const vtkRenderState * | s | ) |
| overridevirtual

Perform rendering according to a render state `s`.

Precondition
  s_exists: s!=0

Implements vtkRenderPass.

## ◆ ReleaseGraphicsResources()

void vtkPointFillPass::ReleaseGraphicsResources | ( | vtkWindow * | w | ) |
| overridevirtual

Release graphics resources and ask components to release their own resources.

Precondition
  w_exists: w!=0

Reimplemented from vtkImageProcessingPass.

## ◆ SetCandidatePointRatio()

virtual void vtkPointFillPass::SetCandidatePointRatio | ( | float |  | ) |
| virtual

How far in front of a point must a neighboring point be to be used as a filler candidate.

Expressed as a multiple of the points distance from the camera. Defaults to 0.95

## ◆ GetCandidatePointRatio()

virtual float vtkPointFillPass::GetCandidatePointRatio | ( |  | ) |
| virtual

How far in front of a point must a neighboring point be to be used as a filler candidate.

Expressed as a multiple of the points distance from the camera. Defaults to 0.95

## ◆ SetMinimumCandidateAngle()

virtual void vtkPointFillPass::SetMinimumCandidateAngle | ( | float |  | ) |
| virtual

How large of an angle must the filler candidates span before a point will be filled.

Expressed in radians. A value of pi will keep edges from growing out. Large values require more support, lower values less.

## ◆ GetMinimumCandidateAngle()

virtual float vtkPointFillPass::GetMinimumCandidateAngle | ( |  | ) |
| virtual

How large of an angle must the filler candidates span before a point will be filled.

Expressed in radians. A value of pi will keep edges from growing out. Large values require more support, lower values less.

## Member Data Documentation

## ◆ FrameBufferObject

vtkOpenGLFramebufferObject* vtkPointFillPass::FrameBufferObject
| protected

Graphics resources.

Definition at line 88 of file vtkPointFillPass.h.

## ◆ Pass1

vtkTextureObject* vtkPointFillPass::Pass1
| protected

Definition at line 89 of file vtkPointFillPass.h.

## ◆ Pass1Depth

vtkTextureObject* vtkPointFillPass::Pass1Depth
| protected

Definition at line 90 of file vtkPointFillPass.h.

## ◆ QuadHelper

vtkOpenGLQuadHelper* vtkPointFillPass::QuadHelper
| protected

Definition at line 92 of file vtkPointFillPass.h.

## ◆ CandidatePointRatio

float vtkPointFillPass::CandidatePointRatio
| protected

Definition at line 94 of file vtkPointFillPass.h.

## ◆ MinimumCandidateAngle

float vtkPointFillPass::MinimumCandidateAngle
| protected

Definition at line 95 of file vtkPointFillPass.h.

The documentation for this class was generated from the following file:

- Rendering/OpenGL2/vtkPointFillPass.h